タイトル: 要素フィルターの使い方
SEOタイトル: 【Revit API】要素フィルターの使い方
以下の実装例は壁の要素のみ抽出している。
using System; namespace TestTool UIDocument uidoc = commandData.Application.ActiveUIDocument; Document document = uidoc.Document;
ElementCategoryFilter filter = new ElementCategoryFilter(BuiltInCategory.OST_Walls); FilteredElementCollector collector = new FilteredElementCollector(document); IList<Element> walls = collector.WherePasses(filter).WhereElementIsNotElementType().ToElements();
String prompt = "The walls in the current document are:\n\t"; foreach (Element e in walls) TaskDialog.Show("Revit", prompt); return Autodesk.Revit.UI.Result.Succeeded; |
以下、ツールの実行結果例。